The Spring Framework

## org.springframework.transaction
Class NoTransactionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.transaction.TransactionException
                          org.springframework.transaction.TransactionUsageException
                              org.springframework.transaction.NoTransactionException

All Implemented Interfaces:
  Serializable

    public class NoTransactionException

extends TransactionUsageException

Exception thrown when an operation is attempted that relies on an existing transaction (such as setting rollback status) and there is no existing transaction. This represents an illegal usage of the transaction API.

Since:
  17.03.2003
Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`NoTransactionException(String msg)` Constructor for NoTransactionException.
`NoTransactionException(String msg, Throwable cause)` Constructor for NoTransactionException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoTransactionException

    public NoTransactionException(String msg)

  Constructor for NoTransactionException.

  Parameters:
    `msg` - the detail message

### NoTransactionException

    public NoTransactionException(String msg,
                                  Throwable cause)

  Constructor for NoTransactionException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the transaction API in use

The Spring Framework

Copyright © 2002-2008 The Spring Framework.